finddeps(1)

NAME
finddeps - find the actual dependencies of a port

SYNOPSIS
finddeps <port>

DESCRIPTION
finddeps inspects the dynamic executables and libs associated with the given port, parsing the output of the ldd(1) command to determine which other ports provide the necessary libraries.

finddeps operates on the package database and requires prt-get(8). If a dynamically-linked library reported by ldd was not installed using the CRUX ports ecosystem (specifically pkgadd(8)), then finddeps will not reveal that linkage. Hence it is strongly discouraged to allow third-party package managers to write to $LD_LIBRARY_PATH. See ports(8) and Pkgfile(5) for an overview of CRUX packaging.

OPTIONS
no options available

EXAMPLES
finddeps pinentry

displays the dependencies of pinentry binaries and libs, in the order that they appear in the package database:

    gcr (contrib)
    glib (opt)
    glibc (core)
    libassuan (opt)
    libffi (core)
    libgcrypt (opt)
    libgpg-error (opt)
    libpcre2 (core)
    libsecret (opt)
    ncurses (core)
    p11-kit (opt)
    util-linux (core)
    zlib (core)
finddeps pinentry | sort -k2

same as above, but organized by port collection

SEE ALSO
prt-get(8), ports(8), Pkgfile(5)

AUTHORS
Johannes Winkelmann <jw@tks6.net>

Juergen Daubert <jue@jue.li>

John McQuah <jmcquah@disroot.org>